Batch Get Instance Settings
BatchGetInstanceSettings gets up to 100 instance settings in request order, with the same access rules as GetInstanceSetting. The call fails if any setting cannot be returned.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request message for InstanceService.BatchGetInstanceSettings.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/instance/settings:batchGet" \ -H "Content-Type: application/json" \ -d '{ "names": [ "string" ] }'{ "instanceSettings": [ { "name": "string", "generalSetting": { "customProfile": { "title": "string", "description": "string", "logoUrl": "string" }, "disallowUserRegistration": true, "disallowPasswordAuth": true, "disallowChangeUsername": true, "disallowChangeNickname": true, "weekStartDayOffset": 0, "additionalStyle": "string", "additionalScript": "string" }, "storageSetting": { "storages": [ { "id": "string", "name": "string", "type": "STORAGE_TYPE_UNSPECIFIED", "s3Config": { "endpoint": "string", "region": "string", "bucket": "string", "accessKeyId": "string", "accessKeySecret": "string", "usePathStyle": true, "insecureSkipTlsVerify": true } } ], "defaultStorageId": "string", "filepathTemplate": "string", "uploadSizeLimitMb": "string", "storageType": "STORAGE_TYPE_UNSPECIFIED", "s3Config": { "endpoint": "string", "region": "string", "bucket": "string", "accessKeyId": "string", "accessKeySecret": "string", "usePathStyle": true, "insecureSkipTlsVerify": true } }, "memoRelatedSetting": { "contentLengthLimit": 0, "reactions": [ "string" ], "enableDoubleClickEdit": true }, "tagsSetting": { "tags": { "property1": { "backgroundColor": { "red": 0.1, "green": 0.1, "blue": 0.1, "alpha": 0.1 }, "blurContent": true }, "property2": { "backgroundColor": { "red": 0.1, "green": 0.1, "blue": 0.1, "alpha": 0.1 }, "blurContent": true } } }, "notificationSetting": { "email": { "enabled": true, "smtpHost": "string", "smtpPort": 0, "smtpUsername": "string", "smtpPassword": "string", "useTls": true, "useSsl": true, "fromEmail": "string", "fromName": "string", "replyTo": "string" } }, "aiSetting": { "providers": [ { "id": "string", "title": "string", "type": "AI_PROVIDER_TYPE_UNSPECIFIED", "endpoint": "string", "apiKey": "string", "apiKeySet": true, "apiKeyHint": "string" } ], "transcription": { "providerId": "string", "model": "string", "language": "string", "prompt": "string" } }, "accessSetting": { "accessMode": "INSTANCE_ACCESS_MODE_UNSPECIFIED" } } ]}